edu.whs.spin2018.baoapp.presenter

## Class MehrspielerPresenter

- java.lang.Object
- - edu.whs.spin2018.baoapp.presenter.MehrspielerPresenter

- All Implemented Interfaces:
    MehrspielerEventListener, BasePresenter<MehrspielerRemoteDataSource>, MehrspielerContract.Presenter

      public class MehrspielerPresenter
      extends java.lang.Object
      implements MehrspielerContract.Presenter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MehrspielerPresenter(MehrspielerContract.View mehrspielerview)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beendeSchnellspielSuche()`
    `void` | `onGegnerGefunden(Benutzer gegner, java.lang.String raum)`
    `void` | `setzeServiceInteractor(MehrspielerRemoteDataSource interactor)` Setzt einen ServiceInteractor fuer den Presenter um mit dem Server kommunizieren zu könnne
    `void` | `starteSchnellspielSuche()` Sendet an den Server, dass der Spieler ein Schnellspiel sucht
    `void` | `stop()` Stoppt den Presenter

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MehrspielerPresenter

          public MehrspielerPresenter(MehrspielerContract.View mehrspielerview)

  - ### Method Detail

    - #### starteSchnellspielSuche

          public void starteSchnellspielSuche()

      Description copied from interface: `MehrspielerContract.Presenter`
      Sendet an den Server, dass der Spieler ein Schnellspiel sucht
      Specified by:
        `starteSchnellspielSuche` in interface `MehrspielerContract.Presenter`

    - #### beendeSchnellspielSuche

          public void beendeSchnellspielSuche()

      Specified by:
        `beendeSchnellspielSuche` in interface `MehrspielerContract.Presenter`

    - #### stop

          public void stop()

      Description copied from interface: `BasePresenter`
      Stoppt den Presenter
      Specified by:
        `stop` in interface `BasePresenter<MehrspielerRemoteDataSource>`

    - #### setzeServiceInteractor

          public void setzeServiceInteractor(MehrspielerRemoteDataSource interactor)

      Description copied from interface: `BasePresenter`
      Setzt einen ServiceInteractor fuer den Presenter um mit dem Server kommunizieren zu könnne
      Specified by:
        `setzeServiceInteractor` in interface `BasePresenter<MehrspielerRemoteDataSource>`
      Parameters:
        `interactor` - - Interactor fuer den Presenter

    - #### onGegnerGefunden

          public void onGegnerGefunden(Benutzer gegner,
                                       java.lang.String raum)

      Specified by:
        `onGegnerGefunden` in interface `MehrspielerEventListener`